import {getCurrentInstance} from 'vue'

export function getRootBarrier(): Node | undefined {
  let el = getCurrentInstance()!.vnode.el as Node
  while (el.nodeType === Node.TEXT_NODE || el.nodeType === Node.COMMENT_NODE) {
    el = el.parentNode!
  }
  return (el as Element).closest('[data-ui-barrier]') as Node
}
